package com.leolztang.sb.aop.rest;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import com.leolztang.sb.aop.service.HelloService;

@RestController
@RequestMapping("/greeting")
public class HelloResource {
	
	@Autowired
    private HelloService helloService;
	
	@RequestMapping(value = "/{name}", method = RequestMethod.GET)
    @ResponseBody
	public String sayHi(@PathVariable String name) {
		return helloService.sayHi(name);
	}
}
